/* *****
IFSMenu.c   Copyright Charles Fritchie, Jr., 1988.
Menu for IFSDraw, IFS drawing program.
Modelled after sample by V. Hopson in AmigaWorld, Jan/Feb 1987,
p. 104ff.
***** */
#include "exec/types.h"
#include "intuition/intuition.h"

/* IntuiText initializations */

#define HIRESO

#ifdef HIRESO
#define WIDFAC 2
#endif HIRESO

#ifdef LORESO
#define WIDFAC 1
#endif LORESO

struct IntuiText IText[] =
{
  {0, 1, JAM1, 0, 0, NULL, "(Re)Start "},
  {0, 2, JAM1, 0, 0, NULL, "More "},
  {0, 3, JAM1, 0, 0, NULL, "Quit "},
  {0, 4, JAM1, CHECKWIDTH, 0, NULL, "x 1 "},
  {0, 5, JAM1, CHECKWIDTH, 0, NULL, "x 2 "},
  {0, 6, JAM1, CHECKWIDTH, 0, NULL, "x 1/2 "},
};

/* Menu item initializations */
struct MenuItem MenuItem[] =
{
  {  /* MenuItem[0] : (Re)Start */
    &MenuItem[1],
    0, 0, 45*WIDFAC+COMMWIDTH, 9,
    (ITEMTEXT|ITEMENABLED|HIGHCOMP|COMMSEQ),
    NULL,
    (APTR) &IText[0],
    NULL,
    'S'  /* Right Amiga key activator */
  },  
  {  /* MenuItem[1] : More */
    &MenuItem[2],
    0, 9, 45*WIDFAC, 9,
    (ITEMTEXT|ITEMENABLED|HIGHCOMP),
    NULL,
    (APTR) &IText[1],
    NULL,
    NULL,
    &MenuItem[3]
  },  
  { /* MenuItem[2] : Quit */
    NULL,
    0, 18, 45*WIDFAC+COMMWIDTH, 9,
    (ITEMTEXT|ITEMENABLED|HIGHCOMP|COMMSEQ),
    NULL,
    (APTR) &IText[2],
    NULL,
    'Q'
  },
  {  /* MenuItem[3] : x 1 */
    &MenuItem[4],
    37*WIDFAC, 2, (30*WIDFAC + CHECKWIDTH + COMMWIDTH), 9,
    (CHECKIT|CHECKED|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP),
    0x6,
    (APTR) &IText[3],
    NULL,
    '1'
  },  
  {  /* MenuItem[4] : x 2 */
    &MenuItem[5],
    37*WIDFAC, 11, (30*WIDFAC + CHECKWIDTH + COMMWIDTH), 9,
    (CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP),
    0x5,
    (APTR) &IText[4],
    NULL,
    '2'
  },  
  {  /* MenuItem[5] : x 1/2 */
    NULL,
    37*WIDFAC, 20, (30*WIDFAC + CHECKWIDTH + COMMWIDTH), 9,
    (CHECKIT|ITEMTEXT|COMMSEQ|ITEMENABLED|HIGHCOMP),
    0x3,
    (APTR) &IText[5],
    NULL,
    '3'
  }    
};
 
/* Menu initializations */  
  struct Menu IFSMenu[] =
{  
  {/* Menu[0] : Options */
    NULL,
    0, 0, 44*WIDFAC, 0, 
    MENUENABLED,
    "Options ",
    &MenuItem[0]
  }
};

